Activity log for bug #1851167

Date Who What changed Old value New value Message
2019-11-03 20:41:09 Aspen Barnes bug added bug
2019-11-03 20:41:09 Aspen Barnes attachment added duplicity.log https://bugs.launchpad.net/bugs/1851167/+attachment/5302562/+files/duplicity.log
2019-11-10 16:41:08 Kenneth Loafman duplicity: importance Undecided Medium
2019-11-10 16:41:08 Kenneth Loafman duplicity: status New In Progress
2019-11-10 16:41:08 Kenneth Loafman duplicity: milestone 0.8.07
2019-11-10 16:56:02 Kenneth Loafman duplicity: importance Medium Undecided
2019-11-10 16:56:02 Kenneth Loafman duplicity: status In Progress Invalid
2019-11-10 16:56:02 Kenneth Loafman duplicity: milestone 0.8.07
2019-11-12 09:26:50 Aspen Barnes duplicity: status Invalid New
2019-11-12 09:36:45 Aspen Barnes description When the dbus session isn't set in the environment (which appears to happen when run via deja-dup), the call to the ensure_dbus() in the gio backend fails. This happens when using duplicity on Python 3.0+ as subprocess.Popen.communicate() returns a tuple of bytes objects rather than strings. Versions: Duplicity: 0.8.04 Python: 3.7.5rc1 OS: Ubuntu 19.10 Targetting: local mount of SMB share When the dbus session isn't set in the environment (which appears to happen when run via deja-dup), the call to the ensure_dbus() in the gio backend fails. This happens when using duplicity on Python 3.0+ as subprocess.Popen.communicate() returns a tuple of bytes objects rather than strings. Versions: Duplicity: 0.8.06 Python: 3.7.5rc1 OS: Ubuntu 19.10 Targetting: local mount of SMB share EDIT: tested on 0.8.06 as well
2019-11-12 21:32:42 Kenneth Loafman duplicity: importance Undecided Medium
2019-11-12 21:32:42 Kenneth Loafman duplicity: status New Fix Committed
2019-11-12 21:32:42 Kenneth Loafman duplicity: milestone 0.8.07
2019-11-14 19:12:10 Kenneth Loafman duplicity: status Fix Committed Fix Released